//
// AddressListViewController.h
// Project
//
// Created by Ziv on 16/5/30.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "Address.h"

FOUNDATION_EXPORT NSString *const AddressDidSelectNotification;

@interface AddressListViewController : UITableViewController

@property (nonatomic, strong)NSMutableArray *addresses;
@property (nonatomic, assign) AddressType addressType;
@property (nonatomic, assign) BOOL allowsSelection;
@property (nonatomic, assign) BOOL isSelection;
@property (nonatomic, assign) BOOL allowsTransient;
@property (nonatomic, assign) BOOL allowsDefault;

- (void)selectAddress:(Address *)address;
- (void)setDidSelectBlock:(void (^)(Address *address))block;
- (void)setDidInsertBlock:(void (^)(Address *address))block;
- (void)setDidUpdateBlock:(void (^)(Address *address))block;
- (void)setDidDeleteBlock:(void (^)(Address *address))block;

@end
