//
// BusSearchDetailPriceCell.m
// Project
//
// Created by ziv on 2017/6/27.
//
//

#import "BusSearchDetailPriceCell.h"
#import "SDK.h"
#import "DrawUtils.h"
#import "UIConstants.h"
#import <BlocksKit/BlocksKit+UIKit.h>
#import <PureLayout/PureLayout.h>
#import "Utility.h"
#import "CustomIcons.h"
#import "Vars.h"

@interface BusSearchDetailPriceCell ()
@property (nonatomic, weak) IBOutlet NSLayoutConstraint *detailDisclosureHeightConstraint;
@end

@implementation BusSearchDetailPriceCell

- (void)awakeFromNib {
	[super awakeFromNib];

	self.titleLabel.font = [UIConstants defaultTableViewCellTextLabelFont:UITableViewCellStyleSubtitle];
	self.subtitleLabel.font = [UIConstants defaultTableViewCellDetailTextLabelFont:UITableViewCellStyleSubtitle];
	
	[self.titleLabel autoPinEdge:ALEdgeLeft toEdge:ALEdgeRight ofView:self.imageView withOffset:[UIConstants defaultTableViewCellLayoutInsets].left];
	self.detailDisclosureHeightConstraint.constant = self.titleLabel.font.pointSize;
    self.salePriceButton.hidden = YES;
	self.subtitleLabel.text = nil;
}

@end
