//
// JavaAppAPI.h
// Project
//
// Created by haibara on 5/11/17.
//
//

#import <Foundation/Foundation.h>
#import "Resource.h"
#import <YYModel/YYModel.h>

@interface JavaAppAPI : NSObject <Resource>
@property (nonatomic, strong) NSString *apiUid;
@property (nonatomic, strong) NSString *apiPassword;
@property (nonatomic, assign) NSInteger apiVersion;
@property (nonatomic, assign) NSInteger domainId;
@property (nonatomic, strong) NSString *accessToken;
@property (nonatomic, assign, readonly) BOOL anonymous;
@end

@interface JavaAppAPIResponse : NSObject
@property (nonatomic, assign) NSInteger errorCode;
@property (nonatomic, strong) NSString *errorMessage;
@end
