#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "Vendor.h"
#import "MyCoreData.h"
#import "ShopCarts.h"

@interface AppDelegate : UIResponder

@property (nonatomic, strong) IBOutlet UIWindow *window;

@property (nonatomic, strong) Vendor *loginUser;
@property (nonatomic, strong) MyCoreData *coreData;
@property (nonatomic, strong) ShopCarts *shopCarts;

- (void)firstLoadLogin;
- (void)dashboard;
- (void)logout;

- (void)applyDefaultConfigurationForViewController:(UIViewController *)viewController;

- (void)getSearchDataSource:(NSString *)name;
- (void)prefetchLoginPostData:(void (^) (void))completion;
- (void)callPhone;

@end
