//
// TicketStatusApi.h
// Project
//
// Created by ziv on 2017/7/26.
//
//

#import "JavaAppAPI.h"
#import "SoldStock.h"

@interface TicketStatusApi : JavaAppAPI
@end

@interface SelfCheckInPage : TicketStatusApi
@property (nonatomic, strong)NSString *confirmationNumber;
@property (nonatomic, strong) NSString *departureCity;
@property (nonatomic, strong) NSString *lastName;
@end

@interface SelfCheckInPageResponse : NSObject
@property (nonatomic, strong)SoldStock *soldStock;
@end

@interface UpdateStocksCheckIn : TicketStatusApi
@property (nonatomic, strong)NSArray *stockIds;
@property (nonatomic, assign) BOOL isCheckIn;
@property (nonatomic, assign) BOOL isSelfCheckIn;
@end

@interface UpdateStocksCheckInResponse : JavaAppAPIResponse
@property (nonatomic, strong)NSArray *boardingNumbers;
@end


@interface ScanTicketBarcode: TicketStatusApi
@property(nonatomic, strong) NSString *barcode;
@property(nonatomic, assign) NSInteger scheduleStopId;
@property(nonatomic, strong) NSString *serviceDate;

@end

@interface ScanTicketBarcodeResponse: JavaAppAPIResponse
@property(nonatomic, assign) NSInteger status;
@property(nonatomic, strong) NSString *message;
@property(nonatomic, strong) SoldStock *soldStock;
@end
