//
// IMWebViewController.h
// Project
//
// Created by haibara on 2/27/16.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <DZNWebViewController/DZNWebViewController.h>

typedef WKNavigationActionPolicy (^IMWebViewNavigationActionDecisionHandler)(WKWebView *webView, WKNavigationAction *navigationAction);

@interface IMWebViewController : DZNWebViewController

- (instancetype)initWithHTMLString:(NSString *)htmlString;
- (instancetype)initWithHTMLString:(NSString *)htmlString baseUrl:(NSURL *)baseUrl;
- (instancetype)initWithURLString:(NSString *)urlString;

@property (nonatomic, assign) BOOL autoshrink;
@property (nonatomic, assign) UIEdgeInsets webContainerInset;
@property (nonatomic, copy) IMWebViewNavigationActionDecisionHandler navigationActionDecisionHandler;

@end
