//
// Vendor.h
// GoToBus
//
// Created by iphone development on 6/4/14.
//
//

#import <Foundation/Foundation.h>
#import "User.h"

FOUNDATION_EXPORT NSInteger const VendorIdCoachRun;
FOUNDATION_EXPORT NSInteger const VendorIdEastWestBus;

@interface Vendor : User

@property (nonatomic, assign) NSInteger vendor_type;
@property (nonatomic, assign) NSInteger barcode_type;

@property (nonatomic, strong) NSString *short_name;

@property (nonatomic, assign) BOOL enable_destination_based_booking_report;
@property (nonatomic, assign) BOOL enable_stop_based_booking_report;
@property (nonatomic, strong) NSArray *products;
@property (nonatomic, strong) NSArray *busRoutes;

@property (nonatomic, assign, readonly) BOOL sell_bus;
@property (nonatomic, assign, readonly) BOOL sell_show;
@property (nonatomic, assign, readonly) BOOL sell_hotel;

@property (nonatomic, strong, readonly) NSString *availableMetadataObjectType;
@property (nonatomic, strong, readonly) NSString *availableCodeGenerator;

@end
