//
// AddressDetailViewController.h
// Project
//
// Created by Ziv on 16/5/30.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "Address.h"

FOUNDATION_EXPORT NSString *const AddressDidInsertNotification;
FOUNDATION_EXPORT NSString *const AddressDidUpdateNotification;
FOUNDATION_EXPORT NSString *const AddressDidDeleteNotification;
FOUNDATION_EXPORT NSString *const AddressDefaultIdUserInfoKey;

@interface AddressDetailViewController : UITableViewController

@property (nonatomic, assign) AddressType addressType;
@property (nonatomic, assign) BOOL allowsTransient;
@property (nonatomic, assign) BOOL allowsDefault;

- (instancetype)initWithAddress:(Address *)address;

- (void)setDidInsertBlock:(void (^)(Address *address))block;
- (void)setDidUpdateBlock:(void (^)(Address *address))block;
- (void)setDidDeleteBlock:(void (^)(Address *address))block;

@end
