//
//  BookingReviewTipsCell.m
//  Project
//
//  Created by Vae on 2018/11/20.
//

#import "BookingReviewTipsCell.h"
#import "DrawUtils.h"

@interface BookingReviewTipsCell()
@property (weak, nonatomic) IBOutlet UIImageView *tipsImageView;
@property (weak, nonatomic) IBOutlet UILabel *tipsLabel;


@end

@implementation BookingReviewTipsCell

- (void)awakeFromNib {
    [super awakeFromNib];
	self.tipsImageView.image = [DrawUtils tableViewCellImageWithFAKIcon:[FAKFontAwesome infoCircleIconWithSize:20] fillColor:[UIColor lightGrayColor]];
	self.tipsLabel.text = @"Return information must match with departure.If you wish to change ticket amounts or passenger names, please make your purchase separately.";
	self.separatorInset = UIEdgeInsetsMake(0, self.bounds.size.width * 2, 0, 0);
}

@end
