//
// IMBarButtonItem.h
// IvyMedia
//
// Created by paul on 11/28/14.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface UIBarButtonItem (IMHandler)
- (instancetype)im_initWithBarButtonSystemItem:(UIBarButtonSystemItem)systemItem handler:(void (^)(UIBarButtonItem *barButtonItem))handler;
- (instancetype)im_initWithImage:(UIImage *)image landscapeImagePhone:(UIImage *)landscapeImagePhone style:(UIBarButtonItemStyle)style handler:(void (^)(UIBarButtonItem *barButtonItem))handler;
- (instancetype)im_initWithImage:(UIImage *)image style:(UIBarButtonItemStyle)style handler:(void (^)(UIBarButtonItem *barButtonItem))handler;
- (instancetype)im_initWithTitle:(NSString *)title style:(UIBarButtonItemStyle)style handler:(void (^)(UIBarButtonItem *barButtonItem))handler;
@end
